class GeneralMailer < ActionMailer::Base
  default from: "Kaps <kaps@olwen.xyz>"
  
  add_template_helper(MailHelper)

  # Subject can be set in your I18n file at config/locales/en.yml
  # with the following lookup:
  #
  #   en.question.deliver.subject
  #
  def send_qi_mail(lang_slug, slug, to, options={})
    
    @mail_content = MailContent.find_key(LangSite.find_by_slug(lang_slug), slug)
    
    @lang_slug = lang_slug
    
    @options = options

    if @options[:subject]
      subject = @options[:subject]
    else
      subject = @mail_content.subject.to_s
    end
    
    
    mail to: to, :subject => "[KapsMe] "+subject
  end
  
  
  def new_send_qi_mail(options = {})
    
    

    mail to: options[:to], :subject => options[:subject], :"X-MJ-CustomID" => options[:custom_id] do |format|
       format.html { render :inline => options[:body] }
      
    end 
  end

 
end
